class Oauth2Controller < ApplicationController
  def rxuniverse
    rxuniverse_module = RxUniverseApiComponent.first

    if rxuniverse_module.nil?
      render nothing: true, status: 404
    else
      conn = Faraday.new(rxuniverse_module.oauth2_token_url, ssl: {
        verify: !RxModule::Communicator.skip_ssl_validation
      })
      response = conn.post(nil, JSON.generate({code: params[:code]}))
      user = current_user
      if user
        json = JSON.parse(response.body)
        oauth = OAuth.find_or_initialize_by(user_id: user[:id], service: :rxuniverse)
        oauth.update(
          access_token: json["access_token"],
          refresh_token: json["refresh_token"],
          expires_at: DateTime.now + json["expires_in"].to_i.seconds,
          refresh_url: rxuniverse_module.oauth2_refresh_url
        )
      end
      redirect_to "/profile"
    end
  end
end
