import * as React from "react";
import {Button, ButtonProps} from "@material-ui/core";
import {makeStyles} from "@material-ui/core/styles";
import {green} from "@material-ui/core/colors";

const useStyles = makeStyles({
    root: {
        backgroundColor: green[300]
    }
});

export const GrantedButton: React.FunctionComponent<ButtonProps> = (props) => {
    const {className, children, ...rest} = props;
    const classes = useStyles();

    return (
        <Button
            classes={classes}
            className={className}
            {...rest}
        >
            {children}
        </Button>
    )
};