import * as React from 'react';
import {CurrentUserModel, CurrentUserStore} from "@rx-suite/stores/build";
import {OAuthModel} from "@rx-suite/stores/build/OAuthStore";
import {DisconnectFromRxuniverseButton} from "./DisconnectFromRxuniverseButton";
import {ConnectToRxuniverseButton} from "./ConnectToRxuniverseButton";
import {observer} from "mobx-react-lite";

export const RxUniverseConnectionButton = observer(() => {
    const user = CurrentUserStore.selectedModel as CurrentUserModel;
    if (!user) return null;

    if (user.oauths.some((oauth: OAuthModel) => oauth.service === "rxuniverse")) {
        return <DisconnectFromRxuniverseButton/>;
    } else {
        return <ConnectToRxuniverseButton/>;
    }
});