import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {UserStore} from "../../stores/UserStore";
import {UserForm} from "./UserForm";
import {t} from "@lingui/macro";
import {UsersModelTableDeleteButton} from "../../components/users/UsersModelTableDeleteButton";

export const UsersBreadModel = () => {
    const columns = [
        makeColumn('name', t`Username`, "string"),
        makeColumn('email', t`Email`, "string"),
        makeColumn('role.name', t`Role`, "string")
    ];

    const tableProps = {
        replacementActions: {
            Delete: UsersModelTableDeleteButton
        }
    }
    return (
        <BreadModel store={UserStore} Form={UserForm} columns={columns} tableProps={tableProps}/>
    )
};