import {Transport} from "@rx-suite/data";
import {RoleModel} from "../stores/RoleStore";

export class RolesTransport extends Transport<RoleModel> {
    constructor() {
        super('/api/roles', 'roles');
    }

    async sendDataWithRules(endpoint: string, json: object) {
        return await this.fetch(endpoint, {
            method: "POST",
            body: JSON.stringify(json),
            headers: {
                "Content-Type": "application/json"
            }
        });
    }
}