module GemExtensions
  module RxModule
    module Communicator
      module Hub
        def token_user(token)
          user = LoginToken.find_by(value: token)&.user
          if user
            Oj.load(user.to_json(
              except: :password_digest,
              include: {
                role: {
                  methods: :permissions
                },
                o_auths: {}
              }
            ), symbol_keys: true)
          elsif Component.find_by(token: token)
            {
              role: {
                permissions: RolePermission.eager_load(component_permission: :component).find_each.map(&:flat)
              }
            }
          else
            nil
          end
        end

        def current_user(token)
          token_user(token)
        end
      end
    end
  end
end
